import request from '@/utils/request'

// 查询班级列表
export function listClazz(query) {
  return request({
    url: '/business/clazz/list',
    method: 'get',
    params: query
  })
}

// 查询班级详细
export function getClazz(clazzId) {
  return request({
    url: '/business/clazz/' + clazzId,
    method: 'get'
  })
}

// 新增班级
export function addClazz(data) {
  return request({
    url: '/business/clazz',
    method: 'post',
    data: data
  })
}

// 修改班级
export function updateClazz(data) {
  return request({
    url: '/business/clazz/'+data.clazzId,
    method: 'put',
    data: data
  })
}

// 删除班级
export function delClazz(clazzId) {
  return request({
    url: '/business/clazz/' + clazzId,
    method: 'delete'
  })
}
